#ifndef OPTIONSDLG_H
#define OPTIONSDLG_H

#include "ui_options.h"

class PsiCon;
struct Options;

class OptionsDlg : public OptionsUI
{
	Q_OBJECT
public:
	OptionsDlg(PsiCon *, const Options &, QWidget *parent = 0, const char *name = 0);
	~OptionsDlg();

signals:
	void applyOptions(const Options &);

private slots:
	void doOk();
	void doApply();

public:
	class Private;
private:
	Private *d;
	friend class Private;
};

#endif
